
@echo off
setlocal

CHOICE /C YN /M "Before installing the plugin, please make sure you have Adobe Creative Cloud installed."




set ch=%errorlevel%
if %ch%==2 (
	echo Installation was canceled by the user.
	exit /b
)

SET basePath=%~dp0
echo %basePath%

Set TEMP__=%basePath%TEMP\
if exist %TEMP__% (
	del %TEMP__%* /q
)

for /F "usebackq tokens=2 delims==" %%i in (
    `wmic os get LocalDateTime /VALUE`
) do @set ctime=%%i

set ctime=%ctime:+=% 
set ctime=%ctime: =%
rem echo %ctime%123 




set ch=%errorlevel%
if %ch%==2 (
	echo Installation was canceled by the user.
	exit /b
)


if not exist download (
	mkdir download
)


SET ExManCmd=%basePath%download\ExManCmd\ExManCmd.exe
echo %ExManCmd%


SET ExManCmdZip=%basePath%download\ExManCmd_win.zip
SET curl=%basePath%curl\curl.exe

set ExManCmdZipExist=0
if not exist %ExManCmd% (
	IF not EXIST %ExManCmdZip% (
		CHOICE /C YN /M "The installation tool Exman will be downloaded from the Adobe website."
		if %ch%==2 (
			echo 用户取消安装
			exit /b
		)
		%curl% -o "%ExManCmdZip%" "https://download.macromedia.com/pub/extensionmanager/ExManCmd_win.zip"

	)

	Call :UnZipFile "%basePath%download\ExManCmd" "%ExManCmdZip%"
	
)


"%ExManCmd%" /remove com.idealabui





SET cmd="%ExManCmd%" /install "%basePath%CEP\idealab.zxp"
echo %cmd%



if not exist %TEMP__% (
	mkdir %TEMP__%
)




rem for /f "delims=" %%A in ('wmic os get localDateTime') do SET temp_=%%A echo %%A
SET tempFile=%TEMP__%IdeaLab-Adobe-%ctime%.log
echo %tempFile%

%cmd% > %tempFile%



SET isSuccess=0

FOR /F "tokens=* delims=" %%x in (%tempFile%) DO (

	echo %%x|find "Installation Successful for extension with file path" >nul	
	if %errorlevel%==0  (
		SET isSuccess=1
	)

)



SET UnifiedPluginInstallerAgentCmd="C:\Program Files\Common Files\Adobe\Adobe Desktop Common\RemoteComponents\UPI\UnifiedPluginInstallerAgent\UnifiedPluginInstallerAgent.exe"

if %isSuccess%==1 (
	echo The Versebook plugin has been installed to Adobe Creative Cloud. > %tempFile%
) else (

	if exist %UnifiedPluginInstallerAgentCmd% (
		%UnifiedPluginInstallerAgentCmd% /remove com.idealabui

		SET cmd=%UnifiedPluginInstallerAgentCmd% /install "%basePath%CEP\idealab.zxp"
		echo %cmd%

		%cmd% > %tempFile%
	)
)




msg "%username%"  < %tempFile%

del %tempFile% /Q 

:end

goto :eof

:FileSize
SET %~2=%~z1
goto :eof


:UnZipFile <ExtractTo> <newzipfile>
set vbs="%temp%\_.vbs"
if exist %vbs% del /f /q %vbs%
>%vbs%  echo Set fso = CreateObject("Scripting.FileSystemObject")
>>%vbs% echo If NOT fso.FolderExists(%1) Then
>>%vbs% echo fso.CreateFolder(%1)
>>%vbs% echo End If
>>%vbs% echo set objShell = CreateObject("Shell.Application")
>>%vbs% echo set FilesInZip=objShell.NameSpace(%2).items
>>%vbs% echo objShell.NameSpace(%1).CopyHere(FilesInZip)
>>%vbs% echo Set fso = Nothing
>>%vbs% echo Set objShell = Nothing
cscript //nologo %vbs%
if exist %vbs% del /f /q %vbs%
goto :eof